> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api/inbound-events.md).

# Inbound Events

Using the Inbound Events REST API feature, you can:

* generate external alarms and events into Command Centre from third-party systems
* generate alarms, view alarm instructions, provide alarm indications on site plans, and generate notifications
* run reports to receive a full audit trail of both Gallagher events and those from third-party systems.

To use the Inbound Events REST API feature, you need the following:

| **Licence string**     | `RESTCreateEvents=1`     |
| ---------------------- | ------------------------ |
| **Operator privilege** | Create Events and Alarms |

To rename and associate External Event Groups, you can use the External Event Type Configuration Utility. For more details and how to use this utility, refer to the document "Release Note External Event Type Configuration Utility.pdf". The release note is stored in the following directory of the Command Centre installation media: `8.10.xxxx\Documentation\Release Note External Event Type Configuration Utility.pdf`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/configuration-client/licensable-features/rest-api/inbound-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
